Job Search
Search and filter aviation jobs via TalentHub.
GET /jobs — List Jobs
GEThttps://api.aeroselect.io/api/v1/public/jobs
| Feld | Typ | Pflicht | Beschreibung |
|---|---|---|---|
| role_category | string | Optional | Filter by role type: pilot, cabin_crew, ground_ops, dispatcher, engineering, management |
| location | string | Optional | Location or IATA codez.B. FRA |
| employment_type | string | Optional | full-time | part-time | contract | freelance |
| experience_level | string | Optional | entry | mid | senior | executive |
| remote | boolean | Optional | Remote-only jobs |
| visa_sponsorship | boolean | Optional | Only jobs with visa sponsorship |
| page | integer | Optional | Page number |
| per_page | integer | Optional | Entries per page (max. 50) |
cURLBash
curl "https://api.aeroselect.io/api/v1/public/jobs?role_category=pilot&location=FRA&employment_type=full-time" \
-H "Accept: application/json"Response 200JSON
{
"data": [
{
"id": 1,
"title": "First Officer A320",
"company": "Lufthansa Cargo",
"location": "Frankfurt (FRA)",
"employment_type": "full-time",
"role_category": "pilot",
"salary_range": { "min": 48000, "max": 72000, "currency": "EUR", "period": "yearly" },
"requirements": ["ATPL(A)", "A320 Type Rating", "EASA Medical Class 1"],
"visa_sponsorship": true,
"source": "aerohire",
"posted_at": "2026-05-01T10:00:00Z",
"expires_at": "2026-08-31T00:00:00Z"
}
],
"meta": { "total": 847, "page": 1, "per_page": 20 }
}GET /jobs/search — Full-text Search
GEThttps://api.aeroselect.io/api/v1/public/jobs/search
cURLBash
curl "https://api.aeroselect.io/api/v1/public/jobs/search?q=A320+Captain+Frankfurt&role_category=pilot" \
-H "Accept: application/json"GET /jobs/{id} — Single Job
GEThttps://api.aeroselect.io/api/v1/public/jobs/{id}
Response 200 (extended)JSON
{
"data": {
"id": 1,
"title": "First Officer A320",
"description": "<p>We are looking for a First Officer for our A320 fleet...</p>",
"requirements": "<p><strong>Minimum requirements:</strong><ul><li>ATPL(A)</li>...</ul>",
"company": {
"name": "Lufthansa Cargo",
"logo_url": "https://cdn.aeroselect.io/logos/lh-cargo.png",
"location": "Frankfurt am Main",
"website": "https://lufthansa-cargo.com"
},
"location": "Frankfurt (FRA)",
"employment_type": "full-time",
"salary_range": { "min": 48000, "max": 72000, "currency": "EUR", "period": "yearly" },
"requirements_structured": {
"licenses": ["ATPL(A)"],
"type_ratings": ["A320"],
"medical": "Class 1",
"min_flight_hours": 1000,
"experience_years": 2
}
}
}